Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

[1.14.4] Build error


Brbcode
 Share

Recommended Posts

I've a project that uses Event Listeners, when I play on eclipse runs, but when I run on my console gradlew build, the build crash.

The errors are:

  • illegal character: '\u00bb'
  • illegal character: '\u00bf'

But what worries me is the version when I build should be to Forge 28.1.79 but is building to Forge 28.1.0 that I think that doesn't support Event Listeners.

Link to comment
Share on other sites

I write <*> just to don't show the full path that is so long.

Spoiler

<*>\WiredBlocks>gradlew build
Picked up _JAVA_OPTIONS: -Xmx4096m
To honour the JVM settings for this build a new JVM will be forked. Please consider using the daemon: https://docs.gradle.org/4.9/userguide/gradle_daemon.html.
Daemon will be stopped at the end of the build stopping after processing

> Configure project :
New Dep: net.minecraftforge:forge:1.14.4-28.1.0_mapped_snapshot_20190719-1.14.3

> Task :compileJava FAILED
<*>\WiredBlocks\src\main\java\com\brb\wiredblocks\ModMain.java:115: error: illegal character: '\u00bb'
    public static class Eventlistener´╗┐{
                                      ^
<*>\WiredBlocks\src\main\java\com\brb\wiredblocks\ModMain.java:115: error: illegal character: '\u00bf'
    public static class Eventlistener´╗┐{
                                       ^
2 errors

FAILURE: Build failed with an exception.

* What went wrong:
Execution failed for task ':compileJava'.
> Compilation failed; see the compiler error output for details.

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

Deprecated Gradle features were used in this build, making it incompatible with Gradle 5.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/4.9/userguide/command_line_interface.html#sec:command_line_warnings

BUILD FAILED in 10s
1 actionable task: 1 executed

 

And here is my project in github https://github.com/Brbcode/WiredBlocks 

Link to comment
Share on other sites

22 minutes ago, Ugdhar said:

deleting and retyping

mmm.. now build successfully but when I put it on my mod folder minecraft freeze on load. I dont know why. It still using net.minecraftforge:forge:1.14.4-28.1.0 

 

Edited by Brbcode
Link to comment
Share on other sites

>gradlew build
Picked up _JAVA_OPTIONS: -Xmx4096m
To honour the JVM settings for this build a new JVM will be forked. Please consider using the daemon: https://docs.gradle.org/4.9/userguide/gradle_daemon.html.
Daemon will be stopped at the end of the build stopping after processing

> Configure project :
New Dep: net.minecraftforge:forge:1.14.4-28.1.0_mapped_snapshot_20190719-1.14.3

> Task :reobfJar
Picked up _JAVA_OPTIONS: -Xmx4096m

Deprecated Gradle features were used in this build, making it incompatible with Gradle 5.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/4.9/userguide/command_line_interface.html#sec:command_line_warnings

BUILD SUCCESSFUL in 17s
7 actionable tasks: 3 executed, 4 up-to-date

 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share



×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.